StandardJavadocDocletOptions (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.external.javadoc

## Class StandardJavadocDocletOptions

- java.lang.Object
- - org.gradle.external.javadoc.CoreJavadocOptions
  - - org.gradle.external.javadoc.StandardJavadocDocletOptions

- All Implemented Interfaces:
    MinimalJavadocOptions

      public class StandardJavadocDocletOptions
      extends CoreJavadocOptions
      implements MinimalJavadocOptions

  Provides the options for the standard Javadoc doclet.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `JavadocOptionFileOption<Boolean>` | `noTimestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardJavadocDocletOptions()`
    `StandardJavadocDocletOptions(org.gradle.external.javadoc.internal.JavadocOptionFile javadocOptionFile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardJavadocDocletOptions` | `author()`
    `StandardJavadocDocletOptions` | `author(boolean author)`
    `StandardJavadocDocletOptions` | `bottom(String bottom)`
    `StandardJavadocDocletOptions` | `charSet(String charSet)`
    `StandardJavadocDocletOptions` | `destinationDirectory(File destinationDirectory)`
    `StandardJavadocDocletOptions` | `docEncoding(String docEncoding)`
    `StandardJavadocDocletOptions` | `docFilesSubDirs()`
    `StandardJavadocDocletOptions` | `docFilesSubDirs(boolean docFilesSubDirs)`
    `StandardJavadocDocletOptions` | `docTitle(String docTitle)`
    `StandardJavadocDocletOptions` | `excludeDocFilesSubDir(List<String> excludeDocFilesSubDir)`
    `StandardJavadocDocletOptions` | `excludeDocFilesSubDir(String... excludeDocFilesSubDir)`
    `StandardJavadocDocletOptions` | `footer(String footer)`
    `String` | `getBottom()`
    `String` | `getCharSet()`
    `File` | `getDestinationDirectory()`
    `String` | `getDocEncoding()`
    `String` | `getDocTitle()`
    `List<String>` | `getExcludeDocFilesSubDir()`
    `String` | `getFooter()`
    `Map<String,List<String>>` | `getGroups()`
    `String` | `getHeader()`
    `File` | `getHelpFile()`
    `List<String>` | `getLinks()`
    `List<JavadocOfflineLink>` | `getLinksOffline()`
    `List<String>` | `getNoQualifiers()`
    `File` | `getStylesheetFile()`
    `List<File>` | `getTagletPath()`
    `List<String>` | `getTaglets()`
    `List<String>` | `getTags()`
    `String` | `getWindowTitle()`
    `StandardJavadocDocletOptions` | `group(Map<String,List<String>> groups)`
    `StandardJavadocDocletOptions` | `group(String groupName, List<String> packagePatterns)`
    `StandardJavadocDocletOptions` | `group(String groupName, String... packagePatterns)`
    `StandardJavadocDocletOptions` | `groupsFile(File groupsFile)`
    `StandardJavadocDocletOptions` | `header(String header)`
    `StandardJavadocDocletOptions` | `helpFile(File helpFile)`
    `boolean` | `isAuthor()`
    `boolean` | `isDocFilesSubDirs()`
    `boolean` | `isKeyWords()`
    `boolean` | `isLinkSource()`
    `boolean` | `isNoComment()`
    `boolean` | `isNoDeprecated()`
    `boolean` | `isNoDeprecatedList()`
    `boolean` | `isNoHelp()`
    `boolean` | `isNoIndex()`
    `boolean` | `isNoNavBar()`
    `boolean` | `isNoSince()`
    `boolean` | `isNoTimestamp()`
    `boolean` | `isNoTree()`
    `boolean` | `isSerialWarn()`
    `boolean` | `isSplitIndex()`
    `boolean` | `isUse()`
    `boolean` | `isVersion()`
    `StandardJavadocDocletOptions` | `keyWords()`
    `StandardJavadocDocletOptions` | `keyWords(boolean keyWords)`
    `StandardJavadocDocletOptions` | `links(String... links)`
    `StandardJavadocDocletOptions` | `linksFile(File linksFile)`
    `StandardJavadocDocletOptions` | `linksOffline(String extDocUrl, String packageListLoc)`
    `StandardJavadocDocletOptions` | `linksOfflineFile(File linksOfflineFile)`
    `StandardJavadocDocletOptions` | `linkSource()`
    `StandardJavadocDocletOptions` | `linkSource(boolean linkSource)`
    `StandardJavadocDocletOptions` | `noComment()`
    `StandardJavadocDocletOptions` | `noComment(boolean noComment)`
    `StandardJavadocDocletOptions` | `noDeprecated()`
    `StandardJavadocDocletOptions` | `noDeprecated(boolean nodeprecated)`
    `StandardJavadocDocletOptions` | `noDeprecatedList()`
    `StandardJavadocDocletOptions` | `noDeprecatedList(boolean noDeprecatedList)`
    `StandardJavadocDocletOptions` | `noHelp()`
    `StandardJavadocDocletOptions` | `noHelp(boolean noHelp)`
    `StandardJavadocDocletOptions` | `noIndex()`
    `StandardJavadocDocletOptions` | `noIndex(boolean noIndex)`
    `StandardJavadocDocletOptions` | `noNavBar()`
    `StandardJavadocDocletOptions` | `noNavBar(boolean noNavBar)`
    `StandardJavadocDocletOptions` | `noQualifier(List<String> noQualifiers)`
    `StandardJavadocDocletOptions` | `noQualifiers(String... noQualifiers)`
    `StandardJavadocDocletOptions` | `noSince()`
    `StandardJavadocDocletOptions` | `noSince(boolean noSince)`
    `StandardJavadocDocletOptions` | `noTimestamp()`
    `StandardJavadocDocletOptions` | `noTimestamp(boolean noTimestamp)`
    `StandardJavadocDocletOptions` | `noTree()`
    `StandardJavadocDocletOptions` | `noTree(boolean noTree)`
    `StandardJavadocDocletOptions` | `serialWarn()`
    `StandardJavadocDocletOptions` | `serialWarn(boolean serialWarn)`
    `void` | `setAuthor(boolean author)`
    `void` | `setBottom(String bottom)`
    `void` | `setCharSet(String charSet)`
    `void` | `setDestinationDirectory(File directory)`
    `void` | `setDocEncoding(String docEncoding)`
    `void` | `setDocFilesSubDirs(boolean docFilesSubDirs)`
    `void` | `setDocTitle(String docTitle)`
    `void` | `setExcludeDocFilesSubDir(List<String> excludeDocFilesSubDir)`
    `void` | `setFooter(String footer)`
    `void` | `setGroups(Map<String,List<String>> groups)`
    `void` | `setHeader(String header)`
    `void` | `setHelpFile(File helpFile)`
    `void` | `setKeyWords(boolean keyWords)`
    `void` | `setLinks(List<String> links)`
    `void` | `setLinksOffline(List<JavadocOfflineLink> linksOffline)`
    `void` | `setLinkSource(boolean linkSource)`
    `void` | `setNoComment(boolean noComment)`
    `void` | `setNoDeprecated(boolean noDeprecated)`
    `void` | `setNoDeprecatedList(boolean noDeprecatedList)`
    `void` | `setNoHelp(boolean noHelp)`
    `void` | `setNoIndex(boolean noIndex)`
    `void` | `setNoNavBar(boolean noNavBar)`
    `void` | `setNoQualifiers(List<String> noQualifiers)`
    `void` | `setNoSince(boolean noSince)`
    `void` | `setNoTimestamp(boolean noTimestamp)`
    `void` | `setNoTree(boolean noTree)`
    `void` | `setSerialWarn(boolean serialWarn)`
    `void` | `setSplitIndex(boolean splitIndex)`
    `void` | `setStylesheetFile(File stylesheetFile)`
    `void` | `setTagletPath(List<File> tagletPath)`
    `void` | `setTaglets(List<String> taglets)`
    `void` | `setTags(List<String> tags)`
    `void` | `setUse(boolean use)`
    `void` | `setVersion(boolean version)`
    `void` | `setWindowTitle(String windowTitle)`
    `StandardJavadocDocletOptions` | `splitIndex()`
    `StandardJavadocDocletOptions` | `splitIndex(boolean splitIndex)`
    `StandardJavadocDocletOptions` | `stylesheetFile(File stylesheetFile)`
    `StandardJavadocDocletOptions` | `tagletPath(File... tagletPath)`
    `StandardJavadocDocletOptions` | `tagletPath(List<File> tagletPath)`
    `StandardJavadocDocletOptions` | `taglets(List<String> taglets)`
    `StandardJavadocDocletOptions` | `taglets(String... taglets)`
    `StandardJavadocDocletOptions` | `tags(List<String> tags)`
    `StandardJavadocDocletOptions` | `tags(String... tags)`
    `StandardJavadocDocletOptions` | `tagsFile(File tagsFile)`
    `StandardJavadocDocletOptions` | `use()`
    `StandardJavadocDocletOptions` | `use(boolean use)`
    `StandardJavadocDocletOptions` | `version()`
    `StandardJavadocDocletOptions` | `version(boolean version)`
    `StandardJavadocDocletOptions` | `windowTitle(String windowTitle)`

    - ### Methods inherited from class org.gradle.external.javadoc.CoreJavadocOptions

      `addBooleanOption, addBooleanOption, addEnumOption, addEnumOption, addFileOption, addFileOption, addMultilineStringsOption, addOption, addPathOption, addPathOption, addStringOption, addStringOption, addStringsOption, addStringsOption, bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletpath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletpath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletpath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.external.javadoc.MinimalJavadocOptions

      `bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletpath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletpath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletpath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`

- - ### Field Detail

    - #### noTimestamp

          public final JavadocOptionFileOption<Boolean> noTimestamp

  - ### Constructor Detail

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions()

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions(org.gradle.external.javadoc.internal.JavadocOptionFile javadocOptionFile)

  - ### Method Detail

    - #### getDestinationDirectory

          public File getDestinationDirectory()

      Specified by:
        `getDestinationDirectory` in interface `MinimalJavadocOptions`

    - #### setDestinationDirectory

          public void setDestinationDirectory(File directory)

      Specified by:
        `setDestinationDirectory` in interface `MinimalJavadocOptions`

    - #### destinationDirectory

          public StandardJavadocDocletOptions destinationDirectory(File destinationDirectory)

      Specified by:
        `destinationDirectory` in interface `MinimalJavadocOptions`

    - #### isUse

          public boolean isUse()

    - #### setUse

          public void setUse(boolean use)

    - #### use

          public StandardJavadocDocletOptions use(boolean use)

    - #### use

          public StandardJavadocDocletOptions use()

    - #### isVersion

          public boolean isVersion()

    - #### setVersion

          public void setVersion(boolean version)

    - #### version

          public StandardJavadocDocletOptions version(boolean version)

    - #### version

          public StandardJavadocDocletOptions version()

    - #### isAuthor

          public boolean isAuthor()

    - #### setAuthor

          public void setAuthor(boolean author)

    - #### author

          public StandardJavadocDocletOptions author(boolean author)

    - #### author

          public StandardJavadocDocletOptions author()

    - #### isSplitIndex

          public boolean isSplitIndex()

    - #### setSplitIndex

          public void setSplitIndex(boolean splitIndex)

    - #### splitIndex

          public StandardJavadocDocletOptions splitIndex(boolean splitIndex)

    - #### splitIndex

          public StandardJavadocDocletOptions splitIndex()

    - #### getWindowTitle

          public String getWindowTitle()

      Specified by:
        `getWindowTitle` in interface `MinimalJavadocOptions`

    - #### setWindowTitle

          public void setWindowTitle(String windowTitle)

      Specified by:
        `setWindowTitle` in interface `MinimalJavadocOptions`

    - #### windowTitle

          public StandardJavadocDocletOptions windowTitle(String windowTitle)

      Specified by:
        `windowTitle` in interface `MinimalJavadocOptions`

    - #### getHeader

          public String getHeader()

      Specified by:
        `getHeader` in interface `MinimalJavadocOptions`

    - #### setHeader

          public void setHeader(String header)

      Specified by:
        `setHeader` in interface `MinimalJavadocOptions`

    - #### header

          public StandardJavadocDocletOptions header(String header)

      Specified by:
        `header` in interface `MinimalJavadocOptions`

    - #### getDocTitle

          public String getDocTitle()

    - #### setDocTitle

          public void setDocTitle(String docTitle)

    - #### docTitle

          public StandardJavadocDocletOptions docTitle(String docTitle)

    - #### getFooter

          public String getFooter()

    - #### setFooter

          public void setFooter(String footer)

    - #### footer

          public StandardJavadocDocletOptions footer(String footer)

    - #### getBottom

          public String getBottom()

    - #### setBottom

          public void setBottom(String bottom)

    - #### bottom

          public StandardJavadocDocletOptions bottom(String bottom)

    - #### getLinks

          public List<String> getLinks()

    - #### setLinks

          public void setLinks(List<String> links)

    - #### links

          public StandardJavadocDocletOptions links(String... links)

    - #### linksFile

          public StandardJavadocDocletOptions linksFile(File linksFile)

    - #### getLinksOffline

          public List<JavadocOfflineLink> getLinksOffline()

    - #### setLinksOffline

          public void setLinksOffline(List<JavadocOfflineLink> linksOffline)

    - #### linksOffline

          public StandardJavadocDocletOptions linksOffline(String extDocUrl,
                                                  String packageListLoc)

    - #### linksOfflineFile

          public StandardJavadocDocletOptions linksOfflineFile(File linksOfflineFile)

    - #### isLinkSource

          public boolean isLinkSource()

    - #### setLinkSource

          public void setLinkSource(boolean linkSource)

    - #### linkSource

          public StandardJavadocDocletOptions linkSource(boolean linkSource)

    - #### linkSource

          public StandardJavadocDocletOptions linkSource()

    - #### getGroups

          public Map<String,List<String>> getGroups()

    - #### setGroups

          public void setGroups(Map<String,List<String>> groups)

    - #### group

          public StandardJavadocDocletOptions group(Map<String,List<String>> groups)

    - #### group

          public StandardJavadocDocletOptions group(String groupName,
                                           List<String> packagePatterns)

    - #### group

          public StandardJavadocDocletOptions group(String groupName,
                                           String... packagePatterns)

    - #### groupsFile

          public StandardJavadocDocletOptions groupsFile(File groupsFile)

    - #### isNoDeprecated

          public boolean isNoDeprecated()

    - #### setNoDeprecated

          public void setNoDeprecated(boolean noDeprecated)

    - #### noDeprecated

          public StandardJavadocDocletOptions noDeprecated(boolean nodeprecated)

    - #### noDeprecated

          public StandardJavadocDocletOptions noDeprecated()

    - #### isNoDeprecatedList

          public boolean isNoDeprecatedList()

    - #### setNoDeprecatedList

          public void setNoDeprecatedList(boolean noDeprecatedList)

    - #### noDeprecatedList

          public StandardJavadocDocletOptions noDeprecatedList(boolean noDeprecatedList)

    - #### noDeprecatedList

          public StandardJavadocDocletOptions noDeprecatedList()

    - #### isNoSince

          public boolean isNoSince()

    - #### setNoSince

          public void setNoSince(boolean noSince)

    - #### noSince

          public StandardJavadocDocletOptions noSince(boolean noSince)

    - #### noSince

          public StandardJavadocDocletOptions noSince()

    - #### isNoTree

          public boolean isNoTree()

    - #### setNoTree

          public void setNoTree(boolean noTree)

    - #### noTree

          public StandardJavadocDocletOptions noTree(boolean noTree)

    - #### noTree

          public StandardJavadocDocletOptions noTree()

    - #### isNoIndex

          public boolean isNoIndex()

    - #### setNoIndex

          public void setNoIndex(boolean noIndex)

    - #### noIndex

          public StandardJavadocDocletOptions noIndex(boolean noIndex)

    - #### noIndex

          public StandardJavadocDocletOptions noIndex()

    - #### isNoHelp

          public boolean isNoHelp()

    - #### setNoHelp

          public void setNoHelp(boolean noHelp)

    - #### noHelp

          public StandardJavadocDocletOptions noHelp(boolean noHelp)

    - #### noHelp

          public StandardJavadocDocletOptions noHelp()

    - #### isNoNavBar

          public boolean isNoNavBar()

    - #### setNoNavBar

          public void setNoNavBar(boolean noNavBar)

    - #### noNavBar

          public StandardJavadocDocletOptions noNavBar(boolean noNavBar)

    - #### noNavBar

          public StandardJavadocDocletOptions noNavBar()

    - #### getHelpFile

          public File getHelpFile()

    - #### setHelpFile

          public void setHelpFile(File helpFile)

    - #### helpFile

          public StandardJavadocDocletOptions helpFile(File helpFile)

    - #### getStylesheetFile

          public File getStylesheetFile()

    - #### setStylesheetFile

          public void setStylesheetFile(File stylesheetFile)

    - #### stylesheetFile

          public StandardJavadocDocletOptions stylesheetFile(File stylesheetFile)

    - #### isSerialWarn

          public boolean isSerialWarn()

    - #### setSerialWarn

          public void setSerialWarn(boolean serialWarn)

    - #### serialWarn

          public StandardJavadocDocletOptions serialWarn(boolean serialWarn)

    - #### serialWarn

          public StandardJavadocDocletOptions serialWarn()

    - #### getCharSet

          public String getCharSet()

    - #### setCharSet

          public void setCharSet(String charSet)

    - #### charSet

          public StandardJavadocDocletOptions charSet(String charSet)

    - #### getDocEncoding

          public String getDocEncoding()

    - #### setDocEncoding

          public void setDocEncoding(String docEncoding)

    - #### docEncoding

          public StandardJavadocDocletOptions docEncoding(String docEncoding)

    - #### isKeyWords

          public boolean isKeyWords()

    - #### setKeyWords

          public void setKeyWords(boolean keyWords)

    - #### keyWords

          public StandardJavadocDocletOptions keyWords(boolean keyWords)

    - #### keyWords

          public StandardJavadocDocletOptions keyWords()

    - #### getTags

          public List<String> getTags()

    - #### setTags

          public void setTags(List<String> tags)

    - #### tags

          public StandardJavadocDocletOptions tags(List<String> tags)

    - #### tags

          public StandardJavadocDocletOptions tags(String... tags)

    - #### tagsFile

          public StandardJavadocDocletOptions tagsFile(File tagsFile)

    - #### getTaglets

          public List<String> getTaglets()

    - #### setTaglets

          public void setTaglets(List<String> taglets)

    - #### taglets

          public StandardJavadocDocletOptions taglets(List<String> taglets)

    - #### taglets

          public StandardJavadocDocletOptions taglets(String... taglets)

    - #### getTagletPath

          public List<File> getTagletPath()

    - #### setTagletPath

          public void setTagletPath(List<File> tagletPath)

    - #### tagletPath

          public StandardJavadocDocletOptions tagletPath(List<File> tagletPath)

    - #### tagletPath

          public StandardJavadocDocletOptions tagletPath(File... tagletPath)

    - #### isDocFilesSubDirs

          public boolean isDocFilesSubDirs()

    - #### setDocFilesSubDirs

          public void setDocFilesSubDirs(boolean docFilesSubDirs)

    - #### docFilesSubDirs

          public StandardJavadocDocletOptions docFilesSubDirs(boolean docFilesSubDirs)

    - #### docFilesSubDirs

          public StandardJavadocDocletOptions docFilesSubDirs()

    - #### getExcludeDocFilesSubDir

          public List<String> getExcludeDocFilesSubDir()

    - #### setExcludeDocFilesSubDir

          public void setExcludeDocFilesSubDir(List<String> excludeDocFilesSubDir)

    - #### excludeDocFilesSubDir

          public StandardJavadocDocletOptions excludeDocFilesSubDir(List<String> excludeDocFilesSubDir)

    - #### excludeDocFilesSubDir

          public StandardJavadocDocletOptions excludeDocFilesSubDir(String... excludeDocFilesSubDir)

    - #### getNoQualifiers

          public List<String> getNoQualifiers()

    - #### setNoQualifiers

          public void setNoQualifiers(List<String> noQualifiers)

    - #### noQualifier

          public StandardJavadocDocletOptions noQualifier(List<String> noQualifiers)

    - #### noQualifiers

          public StandardJavadocDocletOptions noQualifiers(String... noQualifiers)

    - #### isNoTimestamp

          public boolean isNoTimestamp()

    - #### setNoTimestamp

          public void setNoTimestamp(boolean noTimestamp)

    - #### noTimestamp

          public StandardJavadocDocletOptions noTimestamp(boolean noTimestamp)

    - #### noTimestamp

          public StandardJavadocDocletOptions noTimestamp()

    - #### isNoComment

          public boolean isNoComment()

    - #### setNoComment

          public void setNoComment(boolean noComment)

    - #### noComment

          public StandardJavadocDocletOptions noComment(boolean noComment)

    - #### noComment

          public StandardJavadocDocletOptions noComment()